Retrieves the job approval with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

job_approval
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

jobs_id

Foreign key of jobs

globally unique identifier

Required

user_id

Foreign key, user that makes the approval

globally unique identifier

Required

ready_for_multi_approval

Inform if this is a temp approval prepared for a future approval with the customer (multi approval)

boolean
is_daily_approval

Intermediate approval of full approval

boolean
contact_id

Foreign key of contact, that signed the approval

globally unique identifier
contact_name

Contact fullname that sign the approval if not already exists

string

Max length: 255

customer_remarks

Remarks of the customer during the approval

string

Max length: 4000

date_generated

Local Date+Time of the approval generation

date
additional_email

Additional emails that should receive the approval pdf

string

Max length: 4000

is_signed

Inform if a signature is available (cf db_signature)

boolean
job_status_id

Job Status that will be used to alter the jobs (WaitingFurtherAction,Completed)

globally unique identifier
rating

Rating (0,5) the quality of the jobs

integer
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "08a9be6c-c134-42d6-8917-fc3ec512028a",
  "jobs_id": "54a8d40c-b5f8-4be2-8587-60db6bdcc4db",
  "user_id": "c87dcd9b-32c0-4031-b2a3-a12a82169f07",
  "ready_for_multi_approval": true,
  "is_daily_approval": true,
  "contact_id": "4b03b768-6a56-428d-80ec-43a1feea32cc",
  "contact_name": "sample string 7",
  "customer_remarks": "sample string 8",
  "date_generated": "2026-11-02T03:04:25.8031834+00:00",
  "additional_email": "sample string 10",
  "is_signed": true,
  "job_status_id": "f31d040a-cdb0-400c-a62f-e1ede2059e23",
  "rating": 13,
  "modified_dateutc": "2026-11-02T03:04:25.8031834+00:00"
}